org.apache.hadoop.hdfs.protocolPB

## Interface ReconfigurationProtocolPB

- All Superinterfaces:
    org.apache.hadoop.hdfs.protocol.proto.ReconfigurationProtocolProtos.ReconfigurationProtocolService.BlockingInterface

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface ReconfigurationProtocolPB
      extends org.apache.hadoop.hdfs.protocol.proto.ReconfigurationProtocolProtos.ReconfigurationProtocolService.BlockingInterface

  Protocol that clients use to communicate with the NN/DN to do reconfiguration on the fly. Note: This extends the protocolbuffer service based interface to add annotations required for security.

- - ### Method Summary

    - ### Methods inherited from interface org.apache.hadoop.hdfs.protocol.proto.ReconfigurationProtocolProtos.ReconfigurationProtocolService.BlockingInterface

      `getReconfigurationStatus, listReconfigurableProperties, startReconfiguration`

Copyright © 2022 Apache Software Foundation. All rights reserved.